classification
Title: Support Unicode 10.0
Type: enhancement Stage: resolved
Components: Unicode Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ezio.melotti, haypo, lemburg, mrabarnett, rhettinger, steven.daprano
Priority: normal Keywords:

Created on 2017-06-22 13:46 by steven.daprano, last changed 2017-06-23 05:31 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2344 merged benjamin.peterson, 2017-06-23 04:42
Messages (4)
msg296630 - (view) Author: Steven D'Aprano (steven.daprano) * (Python committer) Date: 2017-06-22 13:46
Unicode 10.0 is now finalized:

http://blog.unicode.org/2017/06/announcing-unicode-standard-version-100.html

It would be good if Python 3.7 would support it. (I think that Python currently supports Unicode 8?)
msg296633 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-06-22 14:45
+1
msg296654 - (view) Author: Matthew Barnett (mrabarnett) * Date: 2017-06-22 20:26
@Steven: Python 3.6 supports Unicode 9.


Python 3.6.1 (v3.6.1:69c0db5, Mar 21 2017, 18:41:36) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import unicodedata
>>> unicodedata.unidata_version
'9.0.0'
msg296679 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-06-23 05:31
New changeset 279a96206f3118a482d10826a1e32b272db4505d by Benjamin Peterson in branch 'master':
bpo-30736: upgrade to Unicode 10.0 (#2344)
https://github.com/python/cpython/commit/279a96206f3118a482d10826a1e32b272db4505d
History
Date User Action Args
2017-06-23 05:31:56benjamin.petersonsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-06-23 05:31:10benjamin.petersonsetmessages: + msg296679
2017-06-23 04:42:43benjamin.petersonsetpull_requests: + pull_request2388
2017-06-22 20:26:53mrabarnettsetnosy: + mrabarnett
messages: + msg296654
2017-06-22 14:45:51rhettingersetnosy: + rhettinger
messages: + msg296633
2017-06-22 14:43:35serhiy.storchakasetnosy: + lemburg, haypo, benjamin.peterson, ezio.melotti

components: + Unicode
stage: needs patch
2017-06-22 13:46:00steven.dapranocreate